Skip to main content
POST
/
commerce
/
rules
/
futureshipmentrebalancing
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "customerRules": [
    "<string>"
  ],
  "description": "<string>",
  "enabled": true,
  "metaData": null,
  "name": "<string>",
  "productRules": [
    {
      "code": "<string>",
      "masterCatalogId": 123
    }
  ],
  "rank": 123,
  "shipmentRules": [
    {
      "code": "<string>"
    }
  ],
  "sortAttribute": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

The rule to create. Code is auto-generated if omitted.

Contract DTO for a FutureShipmentRebalancing rule. Rules determine priority ordering for shipments in the Future Shipments Queue when supply changes trigger rebalancing.

auditInfo
object
code
string | null
customerRules
string[] | null
description
string | null
enabled
boolean | null
metaData
unknown
name
string | null
productRules
object[] | null
rank
integer<int32> | null
shipmentRules
object[] | null
sortAttribute
string | null

Response

OK

Contract DTO for a FutureShipmentRebalancing rule. Rules determine priority ordering for shipments in the Future Shipments Queue when supply changes trigger rebalancing.

auditInfo
object
code
string | null
customerRules
string[] | null
description
string | null
enabled
boolean | null
metaData
unknown
name
string | null
productRules
object[] | null
rank
integer<int32> | null
shipmentRules
object[] | null
sortAttribute
string | null